EDIT - bug #7391

grant UPDATE for taxonnames temporarily when using a name as basionym

04/30/2018 09:39 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version:

Severity: critical Found in Version:

Description

see #7390

Temporarily grant the UPDATE authority to the user performing the operations in the client application. Grant before flushing the
session and remove the grant afterwards. Use a try-catch-finally clause where the withdrawal of the temporary permission is done in

the finally clause.

Related issues:
Related to EDIT - bug #7390: possible permission clash when adding basionym
Related to EDIT - bug #7392: Remove Cascade from relations

Duplicate
Closed

History

#1 - 04/30/2018 09:39 AM - Andreas Kohlbecker
- Related to bug #7390: possible permission clash when adding basionym added

#2 - 05/02/2018 10:36 AM - Andreas Mdller

Can this also be closed after #7392 has been fixed?

#3 - 05/02/2018 10:38 AM - Andreas Miiller
- Related to bug #7392: Remove Cascade from relations added

#4 - 05/02/2018 10:49 AM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Release 5.0)

since the cause for #7390 is a different one than originally assumed the solution requested by this issue here become invalid and we can close the

issue.
